Install-ChocolateyPackage `
    "Far" 'msi' '/quiet ADDLOCAL=ALL' `
    "https://farmanager.com/files/Far30b5225.x86.20180604.msi" `
    "https://farmanager.com/files/Far30b5225.x64.20180604.msi" `
    -ChecksumType "sha256" `
    -Checksum "69BE3034A8F3EB0F3FD14AEB0B6D0AB467DA2A9AC0FCC780C5A04AB21D3C68C5" `
    -Checksum64 "D313E971F7A4BD14EB50AF7FFCB650A5B014BD2D3170C8FBDC9F7EB2A1D4C78D"

if ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -ne 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
elseif ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -eq 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles(x86)}/Far Manager/Far.exe"
}
elseif (Get-ProcessorBits 32)
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
