$msiId = $null
if ([Environment]::Is64BitOperatingSystem) {
	$msiId = '{8BA8A931-FAF8-4D37-ACA3-9B710A6C4923}'
	Try {
	   Write-Host "x64 environment detected, trying to uninstall the x64 version"
	   Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0) # We try to uninstall x86 version
	   Exit 0
	}
	Catch {
	   Write-Host "Apparently, the x86 version was installed"
	   Write-Host "Proceeding to uninstall the x86 version"
	}
}

$msiId = '{A281E35B-6DAB-4430-8653-464E95AA5982}'
Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0)

Remove-BinFile -Name 'Far'
